Subject: Re: bug#56682: Fix the long lines font locking related slowdowns

From: Gregory Heytings <[email-masked]>
Date: Wed, 10 Aug 2022 13:11:52 +0000

>> I'm not completely sure he did indeed remove those three brackets. 
>> Stephen, can you remove the three characters at positions 1, 22 and 23, 
>> and try again? These are the first two '{' and the first '[' characters 
>> in the buffer.
>
> I did remove those brackets previously; the improvement I see is that, 
> without them (and even without removing the corresponding closing 
> brackets at the end of the file, and of course with bidi-inhibit-bpa 
> nil), holding down `C-n' moves the cursor almost a whole screenful (~60 
> visual lines) before coming to a halt, instead of just three visual 
> lines with the initial brackets, and after letting go of `C-n', the 
> cursor catches up to the actual position of point noticeably quicker 
> than with the unaltered file.  Still, the movement is not at all smooth, 
> unlike with bidi-inhibit-bpa non-nil (and that is not as smooth as 
> moving through the same file with so-long-mode enabled).
>

Is that with emacs -Q? And with show-paren-mode disabled?